Bug 211764 - Getting a sigabrt while compiling IKVM (runtime problem with mcs)
Getting a sigabrt while compiling IKVM (runtime problem with mcs)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mono (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-22 05:44 EDT by Paul F. Johnson
Modified: 2008-10-11 17:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-11 17:51:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul F. Johnson 2006-10-22 05:44:26 EDT
Description of problem:
While compiling the latest version of ikvm (for FE), I've encountered a problem
with a missing symbol in the System dlls. I'm not sure if this is down to being
on version 1.1.17.

Version-Release number of selected component (if applicable):
1.1.17-3

How reproducible:
Always

Steps to Reproduce:
1. Download the latest ikvm and build
2.
3.
  
Actual results:
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.48029
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.48671
NAnt 0.85 (Build 0.85.2344.0; rc4; 06/02/2006)
Copyright (C) 2001-2006 Gerry Shaw
http://nant.sourceforge.net

Buildfile: file:///home/paul/rpmbuild/BUILD/ikvm-0.30.0.0/ikvm.build
Target framework: Mono 2.0 Profile
Target(s) specified: default 

            
            IKVM.GNU.Classpath.dll:
            
            Built-in property 'nant.project.basedir' is deprecated. Use the
project::get-base-directory() function instead.
                 [exec] **
(/home/paul/rpmbuild/BUILD/ikvm-0.30.0.0/classpath/../bin/ikvmc.exe:25559):
WARNING **: Missing method .ctor in assembly
/usr/lib64/mono/gac/System/2.0.0.0__b77a5c561934e089/System.dll, type
System.Runtime.CompilerServices.RuntimeCompatibilityAttribute
                 [exec] ** ERROR **: Can't find custom attr constructor image:
/usr/lib64/mono/gac/System/2.0.0.0__b77a5c561934e089/System.dll mtoken: 0x0a00059c
                 [exec] aborting...
                 [exec]
=================================================================
                 [exec] Got a SIGABRT while executing native code. This usually
indicates
                 [exec] a fatal error in the mono runtime or one of the native
libraries 
                 [exec] used by your application.
                 [exec]
=================================================================
                 [exec] Stacktrace:
                 [exec]   at (wrapper managed-to-native)
System.MonoCustomAttrs.IsDefinedInternal
(System.Reflection.ICustomAttributeProvider,System.Type) <0x0000b>
                 [exec]   at (wrapper managed-to-native)
System.MonoCustomAttrs.IsDefinedInternal
(System.Reflection.ICustomAttributeProvider,System.Type) <0xffffffff>
                 [exec]   at System.MonoCustomAttrs.IsDefined
(System.Reflection.ICustomAttributeProvider,System.Type,bool) <0x000b9>
                 [exec]   at System.Reflection.Assembly.IsDefined
(System.Type,bool) <0x00025>
                 [exec]   at IKVM.Internal.AttributeHelper.IsDefined
(System.Reflection.Assembly,System.Type) <0x0002a>
                 [exec]   at IKVM.Internal.AttributeHelper.IsNoPackagePrefix
(System.Type) <0x0006b>
                 [exec]   at IKVM.Internal.DotNetTypeWrapper.GetName
(System.Type) <0x00301>
                 [exec]   at IKVM.Internal.DotNetTypeWrapper..ctor (System.Type)
<0x0002c>
                 [exec]   at
IKVM.Internal.DotNetTypeWrapper.CreateDotNetTypeWrapper
(IKVM.Internal.ClassLoaderWrapper,string) <0x000c6>
                 [exec]   at IKVM.Internal.BootstrapClassLoader.LoadClassImpl
(string,bool) <0x00055>
                 [exec]   at IKVM.Internal.CompilerClassLoader.LoadClassImpl
(string,bool) <0x00039>
                 [exec]   at
IKVM.Internal.ClassLoaderWrapper.LoadClassByDottedNameFastImpl (string,bool)
<0x005be>
                 [exec]   at
IKVM.Internal.ClassLoaderWrapper.LoadClassByDottedNameFast (string) <0x0002f>
                 [exec]   at IKVM.Internal.ClassFile.LoadClassHelper
(IKVM.Internal.ClassLoaderWrapper,System.Collections.Hashtable,string) <0x0008b>
                 [exec]   at IKVM.Internal.ClassFile.SigDecoderWrapper
(IKVM.Internal.ClassLoaderWrapper,System.Collections.Hashtable,int&,string)
<0x00202>
                 [exec]   at IKVM.Internal.ClassFile.ArgTypeWrapperListFromSig
(IKVM.Internal.ClassLoaderWrapper,System.Collections.Hashtable,string) <0x000ad>
                 [exec]   at
IKVM.Internal.AttributeHelper.GetAttributeArgsAndTypes
(IKVM.Internal.MapXml.Attribute,System.Type[]&,object[]&) <0x00083>
                 [exec]   at IKVM.Internal.AttributeHelper.CreateCustomAttribute
(IKVM.Internal.MapXml.Attribute) <0x000b4>
                 [exec]   at IKVM.Internal.AttributeHelper.SetCustomAttribute
(System.Reflection.Emit.MethodBuilder,IKVM.Internal.MapXml.Attribute) <0x0007b>
                 [exec]   at RemappedMethodWrapper.DoLink () <0x00eaf>
                 [exec]   at RemapperTypeWrapper.LinkMethod
(IKVM.Internal.MethodWrapper) <0x0003f>
                 [exec]   at IKVM.Internal.MethodWrapper.Link () <0x00189>
                 [exec]   at RemapperTypeWrapper.Process3rdPass () <0x0007b>
                 [exec]   at
IKVM.Internal.CompilerClassLoader.FinishRemappedTypes () <0x000ad>
                 [exec]   at IKVM.Internal.AotCompiler.Compile
(IKVM.Internal.CompilerOptions) <0x0247e>
                 [exec]   at IkvmcCompiler.RealMain (string[]) <0x02e1c>
                 [exec]   at IkvmcCompiler.Main (string[]) <0x00012>
                 [exec]   at (wrapper runtime-invoke)
System.Object.runtime_invoke_void_string[] (object,intptr,intptr,intptr)
<0xffffffff>
                 [exec] Native stacktrace:
                 [exec]  /usr/bin/mono(mono_handle_native_sigsegv+0xe7) [0x501b27]
                 [exec]  /lib64/libpthread.so.0 [0x377860dde0]
                 [exec]  /lib64/libc.so.6(gsignal+0x35) [0x3777a301b5]
                 [exec]  /lib64/libc.so.6(abort+0x110) [0x3777a31b20]
                 [exec]  /lib64/libglib-2.0.so.0(g_log+0) [0x377ce35050]
                 [exec]  /lib64/libglib-2.0.so.0(g_log+0x83) [0x377ce350d3]
                 [exec]  /usr/bin/mono(mono_custom_attrs_from_index+0x1f3)
[0x50c7b3]
                 [exec]  /usr/bin/mono [0x47f8d6]
                 [exec]  [0x4029b193]
  
Expected results:
ikvm should build

Additional info:
I can repeat this problem on x86_64 and x86
Comment 1 Alexander Larsson 2006-10-23 03:06:38 EDT
I don't really know mono well enought to diagnose this. Have you asked ikvm
upstream if they know about a problem like this with 1.1.17?
Comment 2 Bug Zapper 2008-05-13 22:25:28 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.